
pfSense - Bug #11586

WireGuard panic when saving many times in a row

03/01/2021 02:22 PM - Jim Pingle

Status: Not a Bug Start date: 03/01/2021

Priority: Normal Due date:  

Assignee: Peter Grehan % Done: 0%

Category: WireGuard Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Version:  

Release Notes: Default Affected

Architecture:

 

Description

Moving this over from NG 5538

There is still a lingering panic in WireGuard when saving on an interface, but it's rare.

I have only been able to do this once while I was saving the interface repeatedly when testing some other code.

db:0:kdb.enter.default>  bt

Tracing pid 12 tid 100035 td 0xfffff80005398000

kdb_enter() at kdb_enter+0x37/frame 0xfffffe00400fa120

vpanic() at vpanic+0x197/frame 0xfffffe00400fa170

panic() at panic+0x43/frame 0xfffffe00400fa1d0

trap_fatal() at trap_fatal+0x391/frame 0xfffffe00400fa230

trap_pfault() at trap_pfault+0x4f/frame 0xfffffe00400fa280

trap() at trap+0x286/frame 0xfffffe00400fa390

calltrap() at calltrap+0x8/frame 0xfffffe00400fa390

--- trap 0xc, rip = 0xffffffff80d84a27, rsp = 0xfffffe00400fa460, rbp = 0xfffffe00400fa4e0 ---

__mtx_lock_sleep() at __mtx_lock_sleep+0xd7/frame 0xfffffe00400fa4e0

_rm_rlock_hard() at _rm_rlock_hard+0x3c1/frame 0xfffffe00400fa520

wg_route_lookup() at wg_route_lookup+0xdd/frame 0xfffffe00400fa5b0

wg_transmit() at wg_transmit+0x8d/frame 0xfffffe00400fa610

ip_output() at ip_output+0x131c/frame 0xfffffe00400fa750

igmp_intr() at igmp_intr+0x2bc/frame 0xfffffe00400fa830

netisr_dispatch_src() at netisr_dispatch_src+0xca/frame 0xfffffe00400fa880

igmp_fasttimo() at igmp_fasttimo+0x90a/frame 0xfffffe00400fa950

pffasttimo() at pffasttimo+0x54/frame 0xfffffe00400fa980

softclock_call_cc() at softclock_call_cc+0x141/frame 0xfffffe00400faa30

softclock() at softclock+0x79/frame 0xfffffe00400faa50

ithread_loop() at ithread_loop+0x23c/frame 0xfffffe00400faab0

fork_exit() at fork_exit+0x7e/frame 0xfffffe00400faaf0

fork_trampoline() at fork_trampoline+0xe/frame 0xfffffe00400faaf0

 Low priority and no target since it doesn't appear to be something users could hit often, but we should still take a look.

History

#1 - 03/01/2021 02:24 PM - Jim Pingle

Parts of the backtrace are similar to #11585 but it's not an exact match.

#2 - 03/01/2021 02:25 PM - Jim Pingle

- File wireguard-crash-7100-new-textdump.tar added

Textdump from one of the occurences

#3 - 03/09/2021 01:51 PM - Jim Pingle

- Target version changed from CE-Next to 2.5.1

07/24/2025 1/2

https://redmine.pfsense.org/issues/11585


#4 - 03/16/2021 08:10 AM - Renato Botelho

- Status changed from New to Feedback

Many wg fixes were cherry-picked from upstream.  This must be tested again

#5 - 03/19/2021 10:59 AM - Jim Pingle

- Target version changed from 2.5.1 to Future

#6 - 04/22/2021 06:34 AM - Christian McDonald

Unable to reproduce this on the latest kmod code..and I've been quite aggressive at building and tearing down tunnels in quick succession over the

course of several weeks. No kernel panics yet.

#7 - 04/22/2021 07:11 AM - Jim Pingle

- Status changed from Feedback to Not a Bug

#8 - 05/11/2021 12:12 PM - Jim Pingle

- Target version deleted (Future)

Files

wireguard-crash-7100-new-textdump.tar 154 KB 03/01/2021 Jim Pingle
